get invoice
curl --request GET \
--url https://api.unprice.dev/v1/invoices/get/{invoiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.unprice.dev/v1/invoices/get/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unprice.dev/v1/invoices/get/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"id": "<string>",
"project_id": "<string>",
"subscription_id": "<string>",
"customer_id": "<string>",
"statement_key": "<string>",
"statement_start_at": 123,
"statement_end_at": 123,
"due_at": 123,
"past_due_at": 123,
"issue_date": 123,
"sent_at": 123,
"paid_at": 123,
"gross_amount": 1,
"amount_due": 1,
"amount_paid": 1,
"amount_included": 1
},
"lines": [
{
"entry_id": "<string>",
"statement_key": "<string>",
"kind": "<string>",
"description": "<string>",
"quantity": 123,
"amount": 1,
"amount_due": 1,
"amount_paid": 1,
"amount_included": 1,
"collectable": true,
"wallet_credit_id": "<string>",
"wallet_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}invoices
get invoice
Fetch an invoice header along with its line items projected from the ledger. Amounts are at pgledger scale 8 ($1 = 100_000_000). Provider calls convert to currency minor units at the provider boundary.
GET
/
v1
/
invoices
/
get
/
{invoiceId}
get invoice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The invoice ID
Example:
"inv_1H7KQFLr7RepUyQBKdnvY"
⌘I